package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 模板表
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-19
 */
@TableName("icss_template_info")
public class TemplateInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 名称
     */
    private String name;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 医生科室id
     */
    private Long hospitalDeptId;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 性别
     */
    private Integer sex;
    /**
     * 分类(1:结构化模板,2:文本输入模板)
     */
    private String type;

    /**
     * 预览文字
     */
    private String preview;

    /**
     * 内容JSON字符串(模板内容)
     */
    private String dataJson;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public Long getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Long doctorId) {
        this.doctorId = doctorId;
    }
   
    public Long getHospitalDeptId() {
		return hospitalDeptId;
	}

	public void setHospitalDeptId(Long hospitalDeptId) {
		this.hospitalDeptId = hospitalDeptId;
	}

	public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    
    public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getPreview() {
        return preview;
    }

    public void setPreview(String preview) {
        this.preview = preview;
    }
    public String getDataJson() {
        return dataJson;
    }

    public void setDataJson(String dataJson) {
        this.dataJson = dataJson;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "TemplateInfo{" +
        "id=" + id +
        ", isDeleted=" + isDeleted +
        ", gmtCreate=" + gmtCreate +
        ", gmtModified=" + gmtModified +
        ", creator=" + creator +
        ", modifier=" + modifier +
        ", name=" + name +
        ", doctorId=" + doctorId +
        ", hospitalDeptId=" + hospitalDeptId +
        ", hospitalId=" + hospitalId +
        ", sex" + sex +
        ", type=" + type +
        ", preview=" + preview +
        ", dataJson=" + dataJson +
        ", remark=" + remark +
        "}";
    }
}
